ENVSUBST(1)

BEZEICHNUNG
envsubst - Umgebungsvariablen in Shell-Formatzeichenketten ersetzen

ÜBERSICHT
envsubst [OPTION] [SHELL-FORMAT]

BESCHREIBUNG

Ersetzt die Werte von Umgebungsvariablen.

  Betriebsmodus:

-v, --variables
    gibt die in SHELL-FORMAT vorkommenden Variablen aus.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

Im normalen Betriebsmodus wird die Standardeingabe in die Standardausgabe kopiert, wobei Referenzen zu Umgebungsvariablen der Form $VARIABLE oder ${VARIABLE} durch die korrespondierenden Werte ersetzt werden. Falls ein SHELL-FORMAT angegeben ist, werden nur jene Variablen ersetzt, die in SHELL-FORMAT referenziert sind; anderenfalls werden alle Referenzen zu Umgebungsvariablen, die in der Standardeingabe auftreten, ersetzt.

Wenn --variables verwendet wird, dann wird die Standardeingabe ignoriert und die Ausgabe besteht aus den Umgebungsvariablen, die in SHELL-FORMAT referenziert sind, eine pro Zeile.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 2003-2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für envsubst wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und envsubst auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info envsubst

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).